;--------------------------------------------------------------------------
;    video_cls.s - generic utility for MZ-800
;
;    Copyright (c) 2012 by Michal Hucik <http://www.ordoz.com>
;
;    Thies program is free software; you can redistribute it and/or modify
;    it under the terms of the GNU General Public License as published by
;    the Free Software Foundation; either version 2 of the License, or
;    (at your option) any later version.
;
;    driver_FDC is distributed in the hope that it will be useful,
;    but WITHOUT ANY WARRANTY; without even the implied warranty of
;    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;    GNU General Public License for more details.
;
;    You should have received a copy of the GNU General Public License
;    along with driver_FDC; if not, write to the Free Software
;    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
;--------------------------------------------------------------------------

	.module video_cls

	.area _CODE

;__VIDEO_COLUMNS			= 40
__VIDEO_COLUMNS			= 80
__VIDEO_END_VISIBLE_VRAM	= 0x8000 + ( __VIDEO_COLUMNS * 200 )
__VIDEO_NUM_WORDS		= ( __VIDEO_COLUMNS * 200 ) / 2
__VIDEO_WORD_COUNTER		= ( ( __VIDEO_NUM_WORDS >> 8 ) + 1 ) + ( ( __VIDEO_NUM_WORDS & 0xff )  << 8 )

;
; Funkce pro rychle smazani viditelne VRAM
;
; Pred zavolanim:
;
; - VRAM musi byt primapovana
;
; - rWFR musi byt nastaven na pozadovane roviny
;
_video_cls::
        ld hl, #0x0000
        add hl, sp
        ld sp, #__VIDEO_END_VISIBLE_VRAM
        ld de, #0x0000
	ld bc, #__VIDEO_WORD_COUNTER
    1$:
        push de
        djnz 1$
        dec c
        jp nz, 1$     
        ld sp, hl
        ret
